Std Basculer la visibilité

From FreeCAD Documentation
Revision as of 10:05, 16 April 2020 by David69 (talk | contribs) (Created page with "{{Docnav/fr |Mappage de textures |Afficher la sélection |Menu affichage |IconL= |IconR= |IconC=Freecad...")
Other languages:

Std Basculer la visibilité

Emplacement du menu
Affichage → Visibilité → Choisir une option

‏‎

Ateliers
Tous
Raccourci par défaut
Espace
Introduit dans la version
-
Voir aussi
Aucun

Description

Bascule la visibilité des objets.

The Std ToggleVisibility command toggles the visibility of selected objects in 3D views.

Usage

Utilisation

  1. Sélectionnez un ou plusieurs objets dans la vue arborescente.
  2. Cliquez avec le bouton droit de la souris sur l'objet et sélectionnez "Basculer la visibilité" puis choisissez Vue → Visibilité → Basculer la visibilité dans le menu supérieur.
  3. L'utilisation de la barre espace pour activer/désactiver la visibilité est également possible.

Notes

  • The action of this command cannot be undone with Std Undo.
  • The visibility of an object can also be changed through its related DonnéesVisibility property in the Property editor or the Combo view.

Scripting

See also: FreeCAD Scripting Basics.

Use the show and hide methods of an object to change its visibility.

import FreeCADGui

obj = FreeCADGui.ActiveDocument.myObjectName

if obj.Visibility == True:
  obj.hide()
else:
  obj.show()